Index: /trunk/gsdl-documentation/tutorials/generate-html.bat
===================================================================
--- /trunk/gsdl-documentation/tutorials/generate-html.bat	(revision 13636)
+++ /trunk/gsdl-documentation/tutorials/generate-html.bat	(revision 13636)
@@ -0,0 +1,52 @@
+@echo off
+
+if not "%GSDLHOME%" == "" goto generate
+
+echo You must run 'setup' in the top level folder of your Greenstone installation before running this script
+goto exit
+
+:generate:
+mkdir en
+mkdir fr
+mkdir ru
+mkdir es
+
+echo "processing top level index"
+java -cp .;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT xml-to-top-index.xsl  tutorial_en.xml > index.html
+
+echo "generating wiki index page"
+java -cp .;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT xml-to-wiki-index.xsl tutorial_en.xml > wiki-index.txt
+
+echo "procesing english version"
+
+cd en
+java -cp ..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-index.xsl ..\tutorial_en.xml > index.html
+java -cp ..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-one-html.xsl ..\tutorial_en.xml > all_tutorials.html
+java -cp ..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-many-html.xsl ..\tutorial_en.xml | perl -S %GSDLHOME%\gli\help\splithelpdocument.pl
+cd ..
+
+echo "procesing french version"
+cd fr
+java -cp ..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-index.xsl ..\tutorial_fr.xml > index.html
+java -cp ..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-one-html.xsl ..\tutorial_fr.xml > all_tutorials.html
+java -cp ..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-many-html.xsl ..\tutorial_fr.xml | perl -S %GSDLHOME%\gli\help\splithelpdocument.pl
+cd ..
+
+echo "procesing spanish version"
+cd es
+java -cp ..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-index.xsl ..\tutorial_es.xml > index.html
+java -cp ..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-one-html.xsl ..\tutorial_es.xml > all_tutorials.html
+java -cp ..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-many-html.xsl ..\tutorial_es.xml | perl -S %GSDLHOME%\gli\help\splithelpdocument.pl
+cd ..
+
+echo "procesing russian version"
+cd ru
+java -cp ..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-index.xsl ..\tutorial_ru.xml > index.html
+java -cp ..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-one-html.xsl ..\tutorial_ru.xml > all_tutorials.html
+java -cp ..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-many-html.xsl ..\tutorial_ru.xml | perl -S %GSDLHOME%\gli\help\splithelpdocument.pl
+
+cd ..
+
+:exit:
+
+
Index: /trunk/gsdl-documentation/tutorials/generate-html.sh
===================================================================
--- /trunk/gsdl-documentation/tutorials/generate-html.sh	(revision 13636)
+++ /trunk/gsdl-documentation/tutorials/generate-html.sh	(revision 13636)
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+if [ "$GSDLHOME" == "" ]; then
+    echo You must run \'source setup.bash\' in the top level folder of your Greenstone installation before running this script
+    exit
+fi
+
+mkdir en
+mkdir fr
+mkdir ru
+mkdir es
+
+echo "processing top level index"
+java -cp .:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT xml-to-top-index.xsl  tutorial_en.xml > index.html
+
+echo "generating wiki index page"
+java -cp .:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT xml-to-wiki-index.xsl tutorial_en.xml > wiki-index.txt
+
+echo "procesing english version"
+
+cd en
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-index.xsl ../tutorial_en.xml > index.html
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-one-html.xsl ../tutorial_en.xml > all_tutorials.html
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-many-html.xsl ../tutorial_en.xml | perl -S $GSDLHOME/gli/help/splithelpdocument.pl
+cd ..
+
+echo "procesing french version"
+cd fr
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-index.xsl ../tutorial_fr.xml > index.html
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-one-html.xsl ../tutorial_fr.xml > all_tutorials.html
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-many-html.xsl ../tutorial_fr.xml | perl -S $GSDLHOME/gli/help/splithelpdocument.pl
+cd ..
+
+echo "procesing spanish version"
+cd es
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-index.xsl ../tutorial_es.xml > index.html
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-one-html.xsl ../tutorial_es.xml > all_tutorials.html
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-many-html.xsl ../tutorial_es.xml | perl -S $GSDLHOME/gli/help/splithelpdocument.pl
+cd ..
+
+echo "procesing russian version"
+cd ru
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-index.xsl ../tutorial_ru.xml > index.html
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-one-html.xsl ../tutorial_ru.xml > all_tutorials.html
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-many-html.xsl ../tutorial_ru.xml | perl -S $GSDLHOME/gli/help/splithelpdocument.pl
+
+cd ..
+
+
+
Index: /trunk/gsdl-documentation/tutorials/generate-workshop.bat
===================================================================
--- /trunk/gsdl-documentation/tutorials/generate-workshop.bat	(revision 13636)
+++ /trunk/gsdl-documentation/tutorials/generate-workshop.bat	(revision 13636)
@@ -0,0 +1,21 @@
+@echo off
+
+if not "%GSDLHOME%" == "" goto generate
+
+echo You must run 'setup' in the top level folder of your Greenstone installation before running this script
+goto exit
+
+:generate:
+mkdir workshop
+
+echo processing workshop
+
+cd workshop
+java -cp "..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar" -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-workshop.xsl ..\tutorial_en.xml | perl -S "%GSDLHOME%\gli\help\splithelpdocument.pl"
+java -cp "..;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;..\xalan.jar" -DGSDLHOME=%GSDLHOME% ApplyXSLT ..\xml-to-one-workshop.xsl ..\tutorial_en.xml > workshop.html
+cd ..
+
+
+:exit:
+
+
Index: /trunk/gsdl-documentation/tutorials/generate-workshop.sh
===================================================================
--- /trunk/gsdl-documentation/tutorials/generate-workshop.sh	(revision 13636)
+++ /trunk/gsdl-documentation/tutorials/generate-workshop.sh	(revision 13636)
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+if [ "$GSDLHOME" == "" ]; then
+    echo You must run \'source setup.bash\' in the top level folder of your Greenstone installation before running this script
+    exit
+fi
+
+mkdir workshop
+
+echo "processing workshop"
+
+cd workshop
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-workshop.xsl ../tutorial_en.xml | perl -S $GSDLHOME/gli/help/splithelpdocument.pl
+java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-one-workshop.xsl ../tutorial_en.xml > workshop.html
+cd ..
+
+
+
+