Index: /trunk/greenorg/macros/english.dm
===================================================================
--- /trunk/greenorg/macros/english.dm	(revision 13639)
+++ /trunk/greenorg/macros/english.dm	(revision 13640)
@@ -73,20 +73,20 @@
 }
 
-_cdrom270u_ {<i>(June)</i> The UNESCO CD-ROM containing Greenstone 2.70u, plus all documentation (English/French/Spanish/Russian), plus 4 documented example collections, plus associated software like Java and ImageMagick, is available at no charge from Jean-Claude Dauphin (jc.dauphin@unesco.org) or Susannah Farey (s.farey@unesco.org).
-}
-
-
-
-_imarkonline_ {<i>(Feb)</i> The United Nations Food and Agriculture Organization has produced an excellent self-instructional module on <a href="http://www.imarkgroup.org/">Digitization and Digital Libraries</a>, which includes a unit on Greenstone.
+_cdrom270u_ {<i>(June 2006)</i> The UNESCO CD-ROM containing Greenstone 2.70u, plus all documentation (English/French/Spanish/Russian), plus 4 documented example collections, plus associated software like Java and ImageMagick, is available at no charge from Jean-Claude Dauphin (jc.dauphin@unesco.org) or Susannah Farey (s.farey@unesco.org).
+}
+
+
+
+_imarkonline_ {<i>(Feb 2006)</i> The United Nations Food and Agriculture Organization has produced an excellent self-instructional module on <a href="http://www.imarkgroup.org/">Digitization and Digital Libraries</a>, which includes a unit on Greenstone.
 }
  
-_greenstone271_ {<i>(Oct)</i> <a href="_httppagex_(download)">Greenstone v2.71</a> released! A feature release containing lots and lots of improvements and new functionality. See the <a href="http://sourceforge.net/project/shownotes.php?release_id=454519&group_id=12123">release notes</a> for more information.
+_greenstone271_ {<i>(Oct 2006)</i> <a href="_httppagex_(download)">Greenstone v2.71</a> released! A feature release containing lots and lots of improvements and new functionality. See the <a href="http://sourceforge.net/project/shownotes.php?release_id=454519&group_id=12123">release notes</a> for more information.
 }
  
 
-_greenstone270w_ {<i>(Jun)</i> <a href="_httppagex_(download)">Greenstone v2.70w</a> released! A stable release corresponding to the Hawaii Greenstone v2.70w Workshop CD-ROM. See <a href="http://sourceforge.net/project/shownotes.php?release_id=421745&group_id=12123">release notes</a> for more information.
-}
-
-_greenstone272_ {<i>(Dec)</i> <a href="_httppagex_(download)">Greenstone v2.72</a> released! A stable release containing new features and bug fixes. See the <a href="http://sourceforge.net/project/shownotes.php?group_id=12123&release_id=470853">release notes</a> for more information.
+_greenstone270w_ {<i>(Jun 2006)</i> <a href="_httppagex_(download)">Greenstone v2.70w</a> released! A stable release corresponding to the Hawaii Greenstone v2.70w Workshop CD-ROM. See <a href="http://sourceforge.net/project/shownotes.php?release_id=421745&group_id=12123">release notes</a> for more information.
+}
+
+_greenstone272_ {<i>(Dec 2006)</i> <a href="_httppagex_(download)">Greenstone v2.72</a> released! A stable release containing new features and bug fixes. See the <a href="http://sourceforge.net/project/shownotes.php?group_id=12123&release_id=470853">release notes</a> for more information.
 
 }
@@ -209,8 +209,9 @@
 }
 
-_greenstonewiki_ {<i>(Apr)</i> There is now a <a href="_httpwiki_">Greenstone documentation Wiki</a> that brings together all Greenstone documentation, including manuals, FAQ, tutorial exercises (with sample files), example collections, teaching material, and much more. Please help us with this documentation project; <a href="_httpwiki_/Contributing_to_GreenstoneWiki">here's how</a>. }
-
-}
-
+_greenstonewiki_ {<i>(Apr 2006)</i> There is now a <a href="_httpwiki_">Greenstone documentation Wiki</a> that brings together all Greenstone documentation, including manuals, FAQ, tutorial exercises (with sample files), example collections, teaching material, and much more. Please help us with this documentation project; <a href="_httpwiki_/Contributing_to_GreenstoneWiki">here's how</a>. }
+
+}
+
+_greenstonehistory_ {<i>(Jan 2007)</i> Interested in the history of the Greenstone project? <a href="_httphistory_">Here</a> is a  brief account.}
 
 _southasiasupport_ {Greenstone support for South Asia}
Index: /trunk/greenorg/macros/home.dm
===================================================================
--- /trunk/greenorg/macros/home.dm	(revision 13639)
+++ /trunk/greenorg/macros/home.dm	(revision 13640)
@@ -10,9 +10,9 @@
 <p><a name="multilingual"/>_t6_</p>
 
+_new_(_home:greenstonehistory_)
+_new_(_home:greenstone272_)
+_newnoimg_(_home:cdrom270u_)
 
-_new_(_home:greenstone272_)
-_new_(_home:cdrom270u_)
-
-_new_(_home:greenstonewiki_)
+_newnoimg_(_home:greenstonewiki_)
 
 _newnoimg_(_home:imarkonline_)