Index: /trunk/gsdl-documentation/manuals/README.html
===================================================================
--- /trunk/gsdl-documentation/manuals/README.html	(revision 13645)
+++ /trunk/gsdl-documentation/manuals/README.html	(revision 13645)
@@ -0,0 +1,140 @@
+<html>
+<head>
+<title>Greenstone Manuals</title>
+</head>
+<body>
+<h1>Greenstone Manual Information</h1>
+
+<h2>Contents</h2>
+<ul>
+<li><a href="#requirements">Requirements</a></li>
+<li><a href="#contents">Contents of this package</a></li>
+<li><a href="#file-structure">File structure</a></li>
+<li><a href="#generate-html">Generating HTML files</a></li>
+<li><a href="#pdf">Generataing PDF files</a></li>
+<li><a href="#status">Current status of the manuals</a></li>
+<li><a href="#format">The XML Format</a></li>
+<li><a href="#languages">Translate into other langauges</a></li>
+<li><a href="#todo">ToDo list</a></li>
+</ul>
+
+<a name="requirements"/>
+<h2>Requirements</h2>
+<p>To use this package to re-generate the Greenstone tutorial HTML, or generate a workshop, you need to have the following:</p>
+<ul>
+<li>Greenstone version 2.71 installed</li>
+<li>A Java runtime system</li>
+</ul>
+
+<a name="contents"/>
+<h2>Contents of this package</h2>
+<dl>
+<dt>README.html</dt><dd>This file</dd>
+<dt>xml-source directory</dt><dd>Contains all the XML source files and images. Any changes to the Manuals should be made to the source files in this directory. The xml-source directory contains:
+<ul>
+<li>en, es, fr, ru subdirectories, which hold the source files for English, Spanish, French and Russian respectively. Each subdirectory contains 4 XML files and an images subdirectory. The 4 XML files correspond to the 4 Greenstone manuals: Develop's manual, Installer's manual, User's manual, and From Paper to Collection manual. The images directory contains all the images for every manual.</li>
+<p><b>Note:</b> The en folder for English is the primary one. Any changes should be made to this folder and let the translator take care of other languages.</p>
+<li>manual.dtd: the DTD with the XML files</li>
+</ul>
+</dd>
+<dt>processing directory</dt><dd>Contains all the XSL files and CSS files for running XSL transform:
+<ul>
+<li><b>common.xsl</b> Common XSL templates for use with all transforms.</li>
+<li><b>xml-to-one-html.xsl</b> XSL transform file to generate a single HTML page for each manual.</li>
+<li><b>xml-to-many-html.xsl</b> XSL transform file to generate individual HTML files for each manual, every chapter is a HTML file.</li>
+<li><b>xml-to-index.xsl</b> XSL Transform file to generate an index file for individual chapters of one manual.</li>
+<li><b>xml-to-pdf.xsl</b> XSL Transform file to generate a PDF file for every manual.</li>
+<li><b>fo-common.xsl</b> Common XSL templates for use with PDF transforms.</li>
+<li><b>crossref-inter.xsl, crossref.xsl, crossref-pdf.xsl</b> XSL files for getting the correct link address for links that refer to other chapters, sections, footnotes or other manuals. crossref-inter.xsl is used for generating multiple HTML files, crossref.xsl for generating a single HTML file, and crossref-pdf.xsl for generating PDF file.</li>
+</ul>
+</dd>
+<dt>generate-html.sh</dt><dd>Shell script that generates all the HTML files</dd>
+<dt>generate-pdf.sh</dt><dd>Shell script that generates all the PDF files</dd>
+<dt>clean-all.sh</dt><dd>Shell script that clean all the generated files</dd>
+</dl>
+
+<a name="file-structure"/>
+<h2>File structure</h2>
+<p>When generate HTML files and PDF files without using the shell scripts, you should:
+<ol>
+<li>First create a <tt>build</tt> subdirectory here if there isn't one.</li>
+<li>For each language, create a subdirectory with the language code (eg. en, fr, es, ru) as the name of the directory, if there isn't one.</li>
+<li>cd to the appropriate direcotry, copy the <tt>images</tt> folder and the <tt>style.css</tt> file here</li>
+<li>Create a <tt>HTML</tt> and a <tt>PDF</tt> subdirectory for the generated HTML and PDF files.</li>
+</ol>
+<p>If you use the shell scripts, they will create the subdirectories for you.</p>
+<p>The file structure of the <tt>build</tt> directory is like this:</p>
+<pre>
+--manuals
+  --build    
+    --<i>language-code</i>
+      --html
+        (all the generated html files)
+      --pdf
+        (all the generated pdf files)
+      --images
+      style.css
+</pre>
+
+<a name="generate-html"/>
+<h2>Generating HTML files</h2>
+<ol>
+<li>Run <tt>source setup.bash</tt> in the top level directory of your Greenstone installation</li>
+<li>Create a subdirectory named <tt>build</tt>, if there isn't one. cd to the <tt>build</tt> directory, create a subdirectory named with the <tt>language_code</tt> if there isn't one, for example, en for English language.
+<li>cd to the <tt>language_code</tt> directory, create a <tt>html</tt> subdirectory</li>
+<li>copy the <tt>images</tt> folder and <tt>style.css</tt> file here</li>
+<!--
+<li>Generate the index page:<br/>
+<tt>java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-index.xsl <i>manual-name</i>_<i>language-code</i>.xml > html/<i>manual-name</i>_<i>language-code</i>_index.html</tt></li>
+<li>Generate the individual pages<br/>
+<tt>java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-many-html.xsl ../<i>manual-name</i>_<i>language-code</i>.xml | perl -S $GSDLHOME/gli/help/splithelpdocument.pl</tt>
+<p>then move all the generated htm files into the html directory</p>
+</li>
+<li>Generate a single HTML file<br/>
+<tt>java -cp ..:$GSDLHOME/gli:$GSDLHOME/gli/classes:$GSDLHOME/perllib:../xalan.jar -DGSDLHOME=$GSDLHOME ApplyXSLT ../xml-to-one-html.xsl ../<i>manual-name</i>_<i>language-code</i>.xml > <i>manual-name</i>_<i>language-code</i>_all.html</tt></li>
+-->
+</ol>
+<p>The generate-html.sh scripts are shell scripts that carry out a lot of these commands for you.</p>
+
+<a name="pdf"/>
+<h2>Generataing PDF files</h2>
+<ol>
+<li>Run <tt>source setup.bash</tt> in the top level directory of the Greenstone installation</li>
+<li>Unzip the fop.zip file under <tt>shared</tt> directory</li>
+<li>Generate the PDF file:<br/>
+<tt>export CLASSPATH=$CLASSPATH:../shared/fop/build/fop.jar:../shared/fop/lib</tt><br/>
+<tt>./../shared/fop/fop.sh -xsl processing/xml-to-pdf.xsl -xml xml-source/<i>language-code</i>/<i>manual-name</i>_<i>language-code</i>.xml -pdf build/<i>language-code</i>/pdf/<i>manual-name</i>_<i>language-code</i>.pdf</tt></li>
+</ol>
+<p>The generate-pdf.sh scripts are shell scripts that carry out a lot of these commands for you.</p>
+
+<a name="status"/>
+<h2>The current status of the manuals</h2>
+<dl>
+<dt>Developer's manual</dt><dd>Greesntone 2.50, translated in Mar. 2004</dd>
+<dt>User's manual</dt><dd>Greenstone 2.70, translated in Mar. 2006</dd>
+<dt>Installer's manual</dt><dd>Greenstone 2.50, translated in Mar. 2004</dd>
+<dt>From Paper to Collection</dt><dd>Greenstone 2.50, translated in Mar. 2004</dd>
+</dl>
+
+<a name="format"/>
+<h2>The XML Format</h2>
+<p>Develop_en.xml, User_en.xml, Install_en.xml and Paper_en.xml in the en directory are the main files. Make modifications in those. The translator takes care of the other languages.</p>
+<p>All &lt;Text&gt; elements need a unique id, and all need to be on their own lines, with no other tags (apart from tags inside the text).</p>
+<p>All &lt;Chapter&gt;, &lt;Section&gt;, &lt;Subsection&gt;, &lt;Part&gt;, &lt;Table&gt;, &lt;Figure&gt; elements need a unique id.</p>
+<p>See the <a href="xml-source/manual.dtd">DTD</a> file for more information.
+
+<a name="languages"/>
+<h2>Translate into other languages</h2>
+<p>To tranlate these manuals into other languages, use Greenstone Translator to do this, see <a href="http://wesson.cs.waikato.ac.nz:7070/wiki/index.php/GTI">here</a>.</p>
+<p>The "module-name" for the manuals are devmanual, installmanual, papermanual and usermanual.</p>
+
+<a name="todo"/>
+<h2>Known problems and TODO list</h2>
+<ol>
+<li>Automatic texts<dd>Texts like button names should be automatic generated, like in greenstone tutorials, but currently we didn't do this because the manuals are supposed to be rewritten soon, but this shall be done after the reversion.</dd></li>
+<li>PDF fonts<dd>The XML to PDF transform require for a correct font set for a specific language.</dd></li>
+<li>Images in PDF files<dd>Sometimes when images contain unusual fonts and characters, the conversion of the XML to PDF might broke down.</dd></li>
+<li>Navigation buttons<dd>Add navigation buttons in the html pages.</dd></li>
+</ol>
+</body>
+</html>