Index: /trunk/gsdl-documentation/manuals/clean-all.sh
===================================================================
--- /trunk/gsdl-documentation/manuals/clean-all.sh	(revision 13646)
+++ /trunk/gsdl-documentation/manuals/clean-all.sh	(revision 13647)
@@ -1,26 +1,4 @@
 #!/bin/sh
 
-echo "clean english version"
-cd en
-rm -r html
-rm -r pdf
-cd ..
-
-echo "clean french version"
-cd fr
-rm -r html
-rm -r pdf
-cd ..
-
-echo "clean spanish version"
-cd es
-rm -r html
-rm -r pdf
-cd ..
-
-
-echo "clean russian version"
-cd ru
-rm -r html
-rm -r pdf
-cd ..
+echo "clean all gennerated files"
+rm -r build/
Index: /trunk/gsdl-documentation/manuals/generate-html.sh
===================================================================
--- /trunk/gsdl-documentation/manuals/generate-html.sh	(revision 13646)
+++ /trunk/gsdl-documentation/manuals/generate-html.sh	(revision 13647)
@@ -2,4 +2,7 @@
 
 gsdlhome=$GSDLHOME
+shared="../../../shared"
+processing="../../processing"
+sources="../../xml-source"
 
 if [ "$gsdlhome" == "" ]; then
@@ -10,30 +13,41 @@
 fi
 
+if [ ! -d build ]; then
+  mkdir build
+fi
+cd build
+
 echo "procesing english version"
+if [ ! -d en ]; then
+	mkdir en
+fi
 cd en
 mkdir html
 
+cp -r $sources/en/images .
+cp $processing/style.css .
+
 echo "User's manual (english)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl User_en.xml > html/User_en_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl User_en.xml > html/User_en_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl User_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/en/User_en.xml > html/User_en_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/en/User_en.xml > html/User_en_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/en/User_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 echo "Installer's manual (english)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Install_en.xml > html/Install_en_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Install_en.xml > html/Install_en_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Install_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/en/Install_en.xml > html/Install_en_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/en/Install_en.xml > html/Install_en_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/en/Install_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 echo "Developer's manual (english)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Develop_en.xml > html/Develop_en_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Develop_en.xml > html/Develop_en_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Develop_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/en/Develop_en.xml > html/Develop_en_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/en/Develop_en.xml > html/Develop_en_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/en/Develop_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 echo "From paper to collection (english)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Paper_en.xml > html/Paper_en_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Paper_en.xml > html/Paper_en_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Paper_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/en/Paper_en.xml > html/Paper_en_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/en/Paper_en.xml > html/Paper_en_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/en/Paper_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
@@ -42,31 +56,35 @@
 
 echo "procesing french version"
+if [ ! -d fr ]; then
+	mkdir fr
+fi
 cd fr
 mkdir html
-cp -r images/ html/images
-cp ../style.css html/
+
+cp -r $sources/en/images .
+cp $processing/style.css .
 
 echo "User's manual (french)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl User_fr.xml > html/User_fr_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl User_fr.xml > html/User_fr_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl User_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/fr/User_fr.xml > html/User_fr_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/fr/User_fr.xml > html/User_fr_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/fr/User_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 echo "Installer's manual (french)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Install_fr.xml > html/Install_fr_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Install_fr.xml > html/Install_fr_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Install_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/fr/Install_fr.xml > html/Install_fr_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/fr/Install_fr.xml > html/Install_fr_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/fr/Install_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 echo "Developer's manual (french)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Develop_fr.xml > html/Develop_fr_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Develop_fr.xml > html/Develop_fr_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Develop_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/fr/Develop_fr.xml > html/Develop_fr_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/fr/Develop_fr.xml > html/Develop_fr_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/fr/Develop_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 echo "From paper to collection (french)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Paper_fr.xml > html/Paper_fr_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Paper_fr.xml > html/Paper_fr_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Paper_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/fr/Paper_fr.xml > html/Paper_fr_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/fr/Paper_fr.xml > html/Paper_fr_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/fr/Paper_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
@@ -75,31 +93,34 @@
 
 echo "procesing spanish version"
+if [ ! -d es ]; then
+	mkdir es
+fi
 cd es
 mkdir html
-cp -r images/ html/images
-cp ../style.css html/
+cp -r $sources/en/images .
+cp $processing/style.css .
 
 echo "User's manual (spanish)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl User_es.xml > html/User_es_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl User_es.xml > html/User_es_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl User_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/es/User_es.xml > html/User_es_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/es/User_es.xml > html/User_es_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/es/User_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 echo "Installer's manual (spanish)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Install_es.xml > html/Install_es_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Install_es.xml > html/Install_es_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Install_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/es/Install_es.xml > html/Install_es_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/es/Install_es.xml > html/Install_es_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/es/Install_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 echo "Developer's manual (spanish)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Develop_es.xml > html/Develop_es_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Develop_es.xml > html/Develop_es_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Develop_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/es/Develop_es.xml > html/Develop_es_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/es/Develop_es.xml > html/Develop_es_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/es/Develop_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 echo "From paper to collection (spanish)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Paper_es.xml > html/Paper_es_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Paper_es.xml > html/Paper_es_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Paper_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/es/Paper_es.xml > html/Paper_es_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/es/Paper_es.xml > html/Paper_es_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/es/Paper_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
@@ -108,32 +129,38 @@
 
 echo "procesing russian version"
+if [ ! -d ru ]; then
+	mkdir ru
+fi
 cd ru
 mkdir html
-cp -r images/ html/images
-cp ../style.css html/
+
+cp -r $sources/en/images .
+cp $processing/style.css .
 
 echo "User's manual (russian)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl User_ru.xml > html/User_ru_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl User_ru.xml > html/User_ru_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl User_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/ru/User_ru.xml > html/User_ru_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/ru/User_ru.xml > html/User_ru_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/ru/User_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 echo "Installer's manual (russian)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Install_ru.xml > html/Install_ru_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Install_ru.xml > html/Install_ru_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Install_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/ru/Install_ru.xml > html/Install_ru_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/ru/Install_ru.xml > html/Install_ru_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/ru/Install_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 echo "Developer's manual (russian)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Develop_ru.xml > html/Develop_ru_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Develop_ru.xml > html/Develop_ru_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Develop_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/ru/Develop_ru.xml > html/Develop_ru_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/ru/Develop_ru.xml > html/Develop_ru_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/ru/Develop_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 echo "From paper to collection (russian)"
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Paper_ru.xml > html/Paper_ru_index.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Paper_ru.xml > html/Paper_ru_all.html
-java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Paper_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/ru/Paper_ru.xml > html/Paper_ru_index.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/ru/Paper_ru.xml > html/Paper_ru_all.html
+java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/ru/Paper_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
 mv *.htm html/
 
 cd ..
+
+cd ..
Index: /trunk/gsdl-documentation/manuals/generate-pdf.sh
===================================================================
--- /trunk/gsdl-documentation/manuals/generate-pdf.sh	(revision 13646)
+++ /trunk/gsdl-documentation/manuals/generate-pdf.sh	(revision 13647)
@@ -2,6 +2,8 @@
 
 gsdlhome=$GSDLHOME
-export CLASSPATH=$CLASSPATH:../packages/fop-0.20.5/build/fop.jar:../packages/fop-0.20.5/lib:../
-
+shared="../shared"
+export CLASSPATH=$CLASSPATH:$shared:$shared/fop/build/fop.jar:$shared/fop/lib
+fop="$shared/fop"
+processing="processing"
 
 if [ "$gsdlhome" == "" ]; then
@@ -12,67 +14,90 @@
 fi
 
+if [ ! -d build ]; then
+  mkdir build
+fi
+
+cd build
+
 echo "procesing english manuals"
+if [ ! -d en ]; then
+	mkdir en
+fi
 cd en
 mkdir pdf
 
-#echo "User's manual (english)"
-#./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml User_en.xml -pdf pdf/User_en.pdf
-echo "Developer's manual (english)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml Develop_en.xml -pdf pdf/Develop_en.pdf
-echo "User's manual (english)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml Install_en.xml -pdf pdf/Install_en.pdf
-echo "From Paper to Collection (english)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml Paper_en.xml -pdf pdf/Paper_en.pdf
-
+#back to the manual directory
+cd ..
 cd ..
 
+pdf="build/en/pdf"
+#echo "User's manual (english)"
+#$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/User_en.xml -pdf $pdf/User_en.pdf
+echo "Developer's manual (english)"
+$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/en/Develop_en.xml -pdf $pdf/Develop_en.pdf
+echo "Installer's manual (english)"
+$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/en/Install_en.xml -pdf $pdf/Install_en.pdf
+echo "From Paper to Collection (english)"
+$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/en/Paper_en.xml -pdf $pdf/Paper_en.pdf
 
-echo ""
+
 echo "procesing french manuals"
+cd build
+if [ ! -d fr ]; then
+	mkdir fr
+fi
 cd fr
 mkdir pdf
+cd ..
+cd ..
+pdf="build/fr/pdf"
 
 #echo "User's manual (french)"
-#./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml User_fr.xml -pdf pdf/User_fr.pdf
+#$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/fr/User_fr.xml -pdf $pdf/User_fr.pdf
 echo "Developer's manual (french)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml Develop_fr.xml -pdf pdf/Develop_fr.pdf
-echo "User's manual (french)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml Install_fr.xml -pdf pdf/Install_fr.pdf
+$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/fr/Develop_fr.xml -pdf $pdf/Develop_fr.pdf
+echo "Installer's manual (french)"
+$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/fr/Install_fr.xml -pdf $pdf/Install_fr.pdf
 echo "From Paper to Collection (french)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml Paper_fr.xml -pdf pdf/Paper_fr.pdf
-
-cd ..
+$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/fr/Paper_fr.xml -pdf $pdf/Paper_fr.pdf
 
 
-echo ""
 echo "procesing spanish manuals"
+cd build
+if [ ! -d es ]; then
+	mkdir es
+fi
 cd es
 mkdir pdf
+cd ..
+cd ..
+pdf="build/es/pdf"
 
 #echo "User's manual (spanish)"
-#./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml User_es.xml -pdf pdf/User_es.pdf
+#$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/es/User_es.xml -pdf $pdf/User_es.pdf
 echo "Developer's manual (spanish)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml Develop_es.xml -pdf pdf/Develop_es.pdf
-echo "User's manual (spanish)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml Install_es.xml -pdf pdf/Install_es.pdf
+$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/es/Develop_es.xml -pdf $pdf/Develop_es.pdf
+echo "Installer's manual (spanish)"
+$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/es/Install_es.xml -pdf $pdf/Install_es.pdf
 echo "From Paper to Collection (spanish)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml Paper_es.xml -pdf pdf/Paper_es.pdf
-
-cd ..
+$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/es/Paper_es.xml -pdf $pdf/Paper_es.pdf
 
 
-echo ""
 echo "procesing russian manuals"
+cd build
+if [ ! -d ru ]; then
+	mkdir ru
+fi
 cd ru
 mkdir pdf
-
+cd ..
+cd ..
+pdf="build/ru/pdf"
+#echo "User's manual (russian)"
+#$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/ru/User_ru.xml -pdf $pdf/User_ru.pdf
+echo "Developer's manual (russian)"
+$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/ru/Develop_ru.xml -pdf $pdf/Develop_ru.pdf
 echo "User's manual (russian)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml User_ru.xml -pdf pdf/User_ru.pdf
-echo "Developer's manual (russian)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml Develop_ru.xml -pdf pdf/Develop_ru.pdf
-echo "User's manual (russian)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml Install_ru.xml -pdf pdf/Install_ru.pdf
+$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/ru/Install_ru.xml -pdf $pdf/Install_ru.pdf
 echo "From Paper to Collection (russian)"
-./../packages/fop-0.20.5/fop.sh -xsl ../xml-to-pdf.xsl -xml Paper_ru.xml -pdf pdf/Paper_ru.pdf
-
-cd ..
+$fop/fop.sh -q -xsl $processing/xml-to-pdf.xsl -xml xml-source/ru/Paper_ru.xml -pdf $pdf/Paper_ru.pdf