Index: /trunk/gsdl-documentation/manuals/xml-source/en/Develop_en.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/en/Develop_en.xml	(revision 13647)
+++ /trunk/gsdl-documentation/manuals/xml-source/en/Develop_en.xml	(revision 13648)
@@ -71,5 +71,5 @@
 </Title>
 <Content>
-<Text id="23">End users of Greenstone can build collections using the Collector, described in the <i>Greenstone Digital Library User's Guide</i>(Section 3). This makes it very easy to build collections modelled after existing ones but with new content. However, it is not really feasible to use the Collector to create collections with completely new structures. It does invite you to edit the collection configuration file, which governs the collection's structure, but you need to know quite a lot about Greenstone to make radical yet effective changes. This section tells you what you need to know to do this. It also describes the Greenstone directory structure and the format in which documents are stored internally.</Text>
+<Text id="23">End users of Greenstone can build collections using the Collector, described in the <i>Greenstone Digital Library User's Guide</i>(Section <CrossRef external="User" lang="en" target="Chapter" ref="making_greenstone_collections"/>). This makes it very easy to build collections modelled after existing ones but with new content. However, it is not really feasible to use the Collector to create collections with completely new structures. It does invite you to edit the collection configuration file, which governs the collection's structure, but you need to know quite a lot about Greenstone to make radical yet effective changes. This section tells you what you need to know to do this. It also describes the Greenstone directory structure and the format in which documents are stored internally.</Text>
 <Text id="24">We assume throughout this manual that you have installed Greenstone on your computer, be it Windows or Unix. If you have not yet done this you should consult the <i>Greenstone Digital Library Installer's Guide</i>. The name <i>GSDLHOME</i> is used throughout to refer to the Greenstone home directory, which is called <i>%GSDLHOME%</i> on Windows systems and <i>$GSDLHOME</i> on Unix ones. You set this directory during the installation procedure.</Text>
 <Section id="building_collections_from_the_command_line">
Index: /trunk/gsdl-documentation/manuals/xml-source/es/Develop_es.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/es/Develop_es.xml	(revision 13647)
+++ /trunk/gsdl-documentation/manuals/xml-source/es/Develop_es.xml	(revision 13648)
@@ -71,5 +71,5 @@
 </Title>
 <Content>
-<Text id="23">Los usuarios de Greenstone pueden crear colecciones utilizando el Colector, cuyo funcionamiento se explica en laÂ <i>GuÃ­a del Usuario de la Biblioteca Digital Greenstone</i>Â (SecciÃ³n 3). Este procedimiento permite crear colecciones muy fÃ¡cilmente basÃ¡ndose en los modelos ya existentes pero con un contenido nuevo. Sin embargo, el Colector no permite realmente crear colecciones con estructuras completamente nuevas. Le invita a modificar el archivo de configuraciÃ³n de la colecciÃ³n por el que se rige la estructura de la colecciÃ³n, pero usted necesita tener sÃ³lidos conocimientos de Greenstone para efectuar cambios radicales pero efectivos. En esta secciÃ³n se le indica lo que necesita saber para hacerlo. TambiÃ©n se explica la estructura de directorios de Greenstone y el formato en el que se almacenan internamente los documentos.</Text>
+<Text id="23">Los usuarios de Greenstone pueden crear colecciones utilizando el Colector, cuyo funcionamiento se explica en laÂ <i>GuÃ­a del Usuario de la Biblioteca Digital Greenstone</i>Â (SecciÃ³n <CrossRef external="User" lang="es" target="Chapter" ref="making_greenstone_collections"/>). Este procedimiento permite crear colecciones muy fÃ¡cilmente basÃ¡ndose en los modelos ya existentes pero con un contenido nuevo. Sin embargo, el Colector no permite realmente crear colecciones con estructuras completamente nuevas. Le invita a modificar el archivo de configuraciÃ³n de la colecciÃ³n por el que se rige la estructura de la colecciÃ³n, pero usted necesita tener sÃ³lidos conocimientos de Greenstone para efectuar cambios radicales pero efectivos. En esta secciÃ³n se le indica lo que necesita saber para hacerlo. TambiÃ©n se explica la estructura de directorios de Greenstone y el formato en el que se almacenan internamente los documentos.</Text>
 <Text id="24">En este manual suponemos que usted ha instalado Greenstone en su computadora, bien con Windows o bien con Unix. Si aÃºn no lo ha hecho, deberÃ­a consultar laÂ <i>GuÃ­a de InstalaciÃ³n de la Biblioteca Digital Greenstone.</i>Â Utilizamos el nombreÂ <i>GSDLHOME</i>Â a lo largo de este manual para referirnos al directorio principal de Greenstone, que se denominaÂ <i>%GSDLHOME%</i>Â en los sistemas Windows yÂ <i>$GSDLHOME</i>Â en los sistemas Unix. Este directorio se estableciÃ³ durante el procedimiento de instalaciÃ³n.</Text>
 <Section id="building_collections_from_the_command_line">
Index: /trunk/gsdl-documentation/manuals/xml-source/fr/Develop_fr.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/fr/Develop_fr.xml	(revision 13647)
+++ /trunk/gsdl-documentation/manuals/xml-source/fr/Develop_fr.xml	(revision 13648)
@@ -71,5 +71,5 @@
 </Title>
 <Content>
-<Text id="23">Les utilisateurs finals de Greenstone peuvent construire des collections Ã  l'aide du Collector, dÃ©crit dans la section 3 du Guide de l'utilisateur de la bibliothÃšque numÃ©rique Greenstone. Il facilite beaucoup la construction de collections sur le modÃšle de collections existantes, mais avec des contenus nouveaux. Cependant, il n'est pas rÃ©ellement possible d'utiliser le Collector pour crÃ©er des collections avec des structures complÃštement nouvelles. Le Collector vous invite bien Ã  Ã©diter le fichier de configuration de la collection, qui gouverne cette structure de collection, mais il faut trÃšs bien connaÃ®tre Greenstone pour pouvoir y effectuer des modifications radicales et efficaces. La prÃ©sente section vous explique ce qu'il faut savoir pour opÃ©rer ainsi. Elle dÃ©crit Ã©galement la structure de rÃ©pertoire de Greenstone et le format interne de stockage des documents.</Text>
+<Text id="23">Les utilisateurs finals de Greenstone peuvent construire des collections Ã  l'aide du Collector, dÃ©crit dans la section <CrossRef external="User" lang="fr" target="Chapter" ref="making_greenstone_collections"/> du Guide de l'utilisateur de la bibliothÃšque numÃ©rique Greenstone. Il facilite beaucoup la construction de collections sur le modÃšle de collections existantes, mais avec des contenus nouveaux. Cependant, il n'est pas rÃ©ellement possible d'utiliser le Collector pour crÃ©er des collections avec des structures complÃštement nouvelles. Le Collector vous invite bien Ã  Ã©diter le fichier de configuration de la collection, qui gouverne cette structure de collection, mais il faut trÃšs bien connaÃ®tre Greenstone pour pouvoir y effectuer des modifications radicales et efficaces. La prÃ©sente section vous explique ce qu'il faut savoir pour opÃ©rer ainsi. Elle dÃ©crit Ã©galement la structure de rÃ©pertoire de Greenstone et le format interne de stockage des documents.</Text>
 <Text id="24">Tout au long de ce manuel nous supposerons que vous avez installÃ© Greenstone sur votre ordinateur, que ce dernier fonctionne sous Windows ou sous Unix. Si tel n'est pas encore le cas vous devriez consulter le Guide d'installation de la bibliothÃšque numÃ©rique Greenstone. Le nom GSDLHOME reprÃ©sentera le rÃ©pertoire racine de Greenstone, qui s'appelle %GSDLHOME% sur des systÃšmes Windows et $GSDLHOME sur des systÃšmes Unix. On dÃ©termine ce rÃ©pertoire pendant la procÃ©dure d'installation.</Text>
 <Section id="building_collections_from_the_command_line">
Index: /trunk/gsdl-documentation/manuals/xml-source/ru/Develop_ru.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/ru/Develop_ru.xml	(revision 13647)
+++ /trunk/gsdl-documentation/manuals/xml-source/ru/Develop_ru.xml	(revision 13648)
@@ -87,5 +87,5 @@
 </Title>
 <Content>
-<Text id="23">ÐÐŸÐœÐµÑÐœÑÐ¹ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»Ñ Greenstone ÐŒÐŸÐ¶ÐµÑ ÑÐŸÐ·ÐŽÐ°ÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž, ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÑ ÐÐŸÐ»Ð»ÐµÐºÑÐŸÑ (Collector), ÐŸÐ¿ÐžÑÐ°ÐœÐœÑÐ¹ Ð² ÐŽÐŸÐºÑÐŒÐµÐœÑÐµ <i>ÐŠÐžÑÑÐŸÐ²Ð°Ñ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐ° Greenstone: Ð ÑÐºÐŸÐ²ÐŸÐŽÑÑÐ²ÐŸ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»Ñ</i> (Ð Ð°Ð·ÐŽÐµÐ» 3). ÐÐœ Ð¿ÐŸÐ·Ð²ÐŸÐ»ÑÐµÑ ÐŸÑÐµÐœÑ Ð¿ÑÐŸÑÑÐŸ ÑÐŸÐ·ÐŽÐ°Ð²Ð°ÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐœÐ° Ð±Ð°Ð·Ðµ ÑÐ¶Ðµ ÑÑÑÐµÑÑÐ²ÑÑÑÐžÑ
+<Text id="23">ÐÐŸÐœÐµÑÐœÑÐ¹ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»Ñ Greenstone ÐŒÐŸÐ¶ÐµÑ ÑÐŸÐ·ÐŽÐ°ÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž, ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÑ ÐÐŸÐ»Ð»ÐµÐºÑÐŸÑ (Collector), ÐŸÐ¿ÐžÑÐ°ÐœÐœÑÐ¹ Ð² ÐŽÐŸÐºÑÐŒÐµÐœÑÐµ <i>ÐŠÐžÑÑÐŸÐ²Ð°Ñ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐ° Greenstone: Ð ÑÐºÐŸÐ²ÐŸÐŽÑÑÐ²ÐŸ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»Ñ</i> (Ð Ð°Ð·ÐŽÐµÐ» <CrossRef external="User" lang="ru" target="Chapter" ref="making_greenstone_collections"/>). ÐÐœ Ð¿ÐŸÐ·Ð²ÐŸÐ»ÑÐµÑ ÐŸÑÐµÐœÑ Ð¿ÑÐŸÑÑÐŸ ÑÐŸÐ·ÐŽÐ°Ð²Ð°ÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐœÐ° Ð±Ð°Ð·Ðµ ÑÐ¶Ðµ ÑÑÑÐµÑÑÐ²ÑÑÑÐžÑ
 , ÐœÐŸ Ñ ÐœÐŸÐ²ÑÐŒ ÐœÐ°Ð¿ÐŸÐ»ÐœÐµÐœÐžÐµÐŒ. ÐÐŽÐœÐ°ÐºÐŸ ÐœÐµÐ²ÐŸÐ·ÐŒÐŸÐ¶ÐœÐŸ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÑÑÑ ÐÐŸÐ»Ð»ÐµÐºÑÐŸÑÐŸÐŒ Ð¿ÑÐž ÑÐŸÐ·ÐŽÐ°ÐœÐžÐž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ Ñ Ð°Ð±ÑÐŸÐ»ÑÑÐœÐŸ ÐœÐŸÐ²ÐŸÐ¹ ÑÑÑÑÐºÑÑÑÐŸÐ¹. Ð ÑÑÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ Ð¿ÑÐžÐŽÐµÑÑÑ Ð²ÐœÐŸÑÐžÑÑ ÐžÐ·ÐŒÐµÐœÐµÐœÐžÑ Ð² ÑÐ°Ð¹Ð» ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐ¹, ÐºÐŸÑÐŸÑÑÐ¹ ÑÐ¿ÑÐ°Ð²Ð»ÑÐµÑ ÑÑÑÑÐºÑÑÑÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž, Ð²ÐµÐŽÑ ÐŽÐ»Ñ ÑÐŸÐ³ÐŸ, ÑÑÐŸÐ±Ñ ÑÐ°ÐŽÐžÐºÐ°Ð»ÑÐœÑÐµ ÐžÐ·ÐŒÐµÐœÐµÐœÐžÑ Ð²ÐŸÐ·ÑÐŒÐµÐ»Ðž ÑÑÑÐµÐºÑ, ÐÐ°ÐŒ ÐœÐµÐŸÐ±Ñ
 ÐŸÐŽÐžÐŒÐŸ Ð·ÐœÐ°ÑÑ Ð³ÐŸÑÐ°Ð·ÐŽÐŸ Ð±ÐŸÐ»ÑÑÐµ ÐŸ ÑÐžÑÑÐµÐŒÐµ Greenstone. ÐÐ°ÐœÐœÑÐ¹ ÑÐ°Ð·ÐŽÐµÐ» ÑÐŸÐŽÐµÑÐ¶ÐžÑ Ð²ÑÐµ, ÑÑÐŸ ÐÐ°ÐŒ ÐœÐµÐŸÐ±Ñ