Index: /trunk/gsdl3/src/packages/mg/lib/bitio_m.h
===================================================================
--- /trunk/gsdl3/src/packages/mg/lib/bitio_m.h	(revision 13657)
+++ /trunk/gsdl3/src/packages/mg/lib/bitio_m.h	(revision 13658)
@@ -57,5 +57,5 @@
   register int _B_x  = (x) - 1;						\
   (v) = 0;								\
-  for (; _B_x ; _B_x>>=1, (v)++);					\
+  for (; _B_x ; _B_x>>=1, ++(v));					\
 } while(0)
 
@@ -65,5 +65,5 @@
   register int _B_x  = (x);						\
   (v) = -1;								\
-  for (; _B_x ; _B_x>>=1, (v)++);					\
+  for (; _B_x ; _B_x>>=1, ++(v));					\
 } while(0)
 
@@ -98,5 +98,5 @@
   BIO_DECODE_PROLOGUE;							\
   (x) = 1;								\
-  while (!DECODE_BIT) (x)++;						\
+  while (!DECODE_BIT) ++(x);						\
   BIO_DECODE_EPILOGUE;							\
 } while(0)
@@ -106,5 +106,5 @@
   BIO_DECODE_PROLOGUE;							\
   (x) = 1;								\
-  while (!DECODE_BIT) (x)++;						\
+  while (!DECODE_BIT) ++(x);						\
   (count) += (x);							\
   BIO_DECODE_EPILOGUE;							\
@@ -176,6 +176,6 @@
       CEILLOG_2(_B_b, _B_logofb);					\
       _B_thresh = (1<<_B_logofb) - _B_b;				\
-      _B_logofb--;							\
-      for (_B_i=0; _B_i < _B_logofb; _B_i++)			 	\
+      --_B_logofb;							\
+      for (_B_i=0; _B_i < _B_logofb; ++_B_i)			 	\
         DECODE_ADD(_B_x);						\
       if (_B_x >= _B_thresh)						\
@@ -201,7 +201,7 @@
       CEILLOG_2(_B_b, _B_logofb);					\
       _B_thresh = (1<<_B_logofb) - _B_b;				\
-      _B_logofb--;							\
+      --_B_logofb;							\
       (count) += _B_logofb;					       	\
-      for (_B_i=0; _B_i < _B_logofb; _B_i++)			 	\
+      for (_B_i=0; _B_i < _B_logofb; ++_B_i)			 	\
         DECODE_ADD(_B_x);						\
       if (_B_x >= _B_thresh)						\
@@ -209,5 +209,5 @@
           DECODE_ADD(_B_x);						\
           _B_x -= _B_thresh;						\
-          (count)++;							\
+          ++(count);							\
 	}								\
       (x) = _B_x+1;							\
@@ -274,5 +274,5 @@
   register int _B_nbits = 0;						\
   BIO_DECODE_PROLOGUE;							\
-  while(!DECODE_BIT) _B_nbits++;					\
+  while(!DECODE_BIT) ++_B_nbits;					\
   while (_B_nbits-- > 0)						\
     DECODE_ADD(_B_xx);							\
@@ -286,5 +286,5 @@
   register int _B_nbits = 0;						\
   BIO_DECODE_PROLOGUE;							\
-  while(!DECODE_BIT) _B_nbits++;					\
+  while(!DECODE_BIT) ++_B_nbits;					\
   (count) += _B_nbits*2+1;						\
   while (_B_nbits-- > 0)						\
@@ -331,6 +331,6 @@
   register unsigned long _B_xxx;					\
   register int _B_logx;							\
-  GAMMA_DECODE(_B_logx); _B_logx--;					\
-  BINARY_DECODE(_B_xxx, 1<<_B_logx); _B_xxx--;				\
+  GAMMA_DECODE(_B_logx); --_B_logx;					\
+  BINARY_DECODE(_B_xxx, 1<<_B_logx); --_B_xxx;				\
   (x) = _B_xxx + (1<<_B_logx);						\
 } while (0)
@@ -340,6 +340,6 @@
   register unsigned long _B_xxx;					\
   register int _B_logx;							\
-  GAMMA_DECODE_L(_B_logx, count); _B_logx--;				\
-  BINARY_DECODE_L(_B_xxx, 1<<_B_logx, count); _B_xxx--;			\
+  GAMMA_DECODE_L(_B_logx, count); --_B_logx;				\
+  BINARY_DECODE_L(_B_xxx, 1<<_B_logx, count); --_B_xxx;			\
   (x) = _B_xxx + (1<<_B_logx);						\
 } while (0)
@@ -372,5 +372,5 @@
   while (_B_xx>_B_upper) 						\
     {									\
-      _B_k++;								\
+      ++_B_k;								\
       _B_lower = _B_upper+1;						\
       _B_pow *= _B_s;							\
@@ -392,5 +392,5 @@
   while (_B_xx>_B_upper) 						\
     {									\
-      _B_k++;								\
+      ++_B_k;								\
       _B_lower = _B_upper+1;						\
       _B_pow *= _B_s;							\
@@ -409,5 +409,5 @@
   register int _B_k;							\
   register double _B_pow=1.0;						\
-  UNARY_DECODE(_B_k); _B_k--;						\
+  UNARY_DECODE(_B_k); --_B_k;						\
   while (_B_k--)							\
     {									\
@@ -416,5 +416,5 @@
       _B_upper += _B_b*_B_pow;						\
     }									\
-  BINARY_DECODE(_B_xx, _B_upper-_B_lower+1); _B_xx--;			\
+  BINARY_DECODE(_B_xx, _B_upper-_B_lower+1); --_B_xx;			\
   POSITIVE(gamma, _B_xx+_B_lower);				  	\
   (x) = _B_xx+_B_lower;							\
@@ -429,5 +429,5 @@
   register int _B_k;							\
   register double _B_pow=1.0;						\
-  UNARY_DECODE_L(_B_k, count); _B_k--;					\
+  UNARY_DECODE_L(_B_k, count); --_B_k;					\
   while (_B_k--)							\
     {									\
@@ -436,5 +436,5 @@
       _B_upper += _B_b*_B_pow;						\
     }									\
-  BINARY_DECODE_L(_B_xx, _B_upper-_B_lower+1, count); _B_xx--;		\
+  BINARY_DECODE_L(_B_xx, _B_upper-_B_lower+1, count); --_B_xx;		\
   POSITIVE(gamma, _B_xx+_B_lower);				  	\
   (x) = _B_xx+_B_lower;							\
@@ -452,5 +452,5 @@
   while (_B_xx>_B_upper) 						\
     {									\
-      _B_k++;								\
+      ++_B_k;								\
       _B_lower = _B_upper+1;						\
       _B_pow *= _B_s;							\
@@ -472,8 +472,8 @@
   register int _B_xdivb = 0;						\
   POSITIVE(bblock, _B_xx);						\
-  _B_xx--;								\
+  --_B_xx;								\
   while (_B_xx >= _B_bb) 						\
     {									\
-      _B_xdivb++;							\
+      ++_B_xdivb;							\
       _B_xx -= _B_bb;							\
     }									\
@@ -488,8 +488,8 @@
   register int _B_xdivb = 0;						\
   POSITIVE(bblock, _B_xx);						\
-  _B_xx--;								\
+  --_B_xx;								\
   while (_B_xx >= _B_bb) 						\
     {									\
-      _B_xdivb++;							\
+      ++_B_xdivb;							\
       _B_xx -= _B_bb;							\
     }									\
@@ -503,5 +503,5 @@
   register unsigned long _B_bb = (b);					\
   register int _B_xdivb;						\
-  UNARY_DECODE(_B_xdivb); _B_xdivb--;					\
+  UNARY_DECODE(_B_xdivb); --_B_xdivb;					\
   while (_B_xdivb--)							\
     _B_xx += _B_bb;							\
@@ -515,5 +515,5 @@
   register unsigned long _B_bb = (b);					\
   register int _B_xdivb;						\
-  UNARY_DECODE_L(_B_xdivb, count); _B_xdivb--;				\
+  UNARY_DECODE_L(_B_xdivb, count); --_B_xdivb;				\
   while (_B_xdivb--)							\
     _B_xx += _B_bb;							\
@@ -528,8 +528,8 @@
   register int _B_xdivb = 0;						\
   POSITIVE(bblock, _B_xx);						\
-  _B_xx--;								\
+  --_B_xx;								\
   while (_B_xx >= _B_bb) 						\
     {									\
-      _B_xdivb++;							\
+      ++_B_xdivb;							\
       _B_xx -= _B_bb;							\
     }									\
Index: /trunk/gsdl3/src/packages/mg/lib/bitio_m_mem.h
===================================================================
--- /trunk/gsdl3/src/packages/mg/lib/bitio_m_mem.h	(revision 13657)
+++ /trunk/gsdl3/src/packages/mg/lib/bitio_m_mem.h	(revision 13658)
@@ -72,5 +72,5 @@
 #define ENCODE_BIT(b)							\
   do {									\
-    __btg--;								\
+    --__btg;								\
     if (b) __buff |= (1 << __btg);					\
     if (!__btg)								\
@@ -79,5 +79,5 @@
 	  {								\
 	    *__pos++ = __buff;						\
-	    __remaining--;						\
+	    --__remaining;						\
 	  }  								\
 	__buff = 0;							\
@@ -100,5 +100,5 @@
 	{								\
           *__pos++ = __buff;						\
-          __remaining--;						\
+          --__remaining;						\
 	}  								\
     __btg = sizeof(__buff)*8;						\
@@ -133,5 +133,5 @@
 	  {								\
   	    __buff = *__pos++;						\
-	    __remaining--;						\
+	    --__remaining;						\
 	  }								\
         else								\
@@ -149,5 +149,5 @@
 	  {								\
   	    __buff = *__pos++;						\
-	    __remaining--;						\
+	    --__remaining;						\
 	  }								\
         else								\
Index: /trunk/gsdl3/src/packages/mg/lib/bitio_m_mems.h
===================================================================
--- /trunk/gsdl3/src/packages/mg/lib/bitio_m_mems.h	(revision 13657)
+++ /trunk/gsdl3/src/packages/mg/lib/bitio_m_mems.h	(revision 13658)
@@ -57,5 +57,5 @@
     else								\
       __base[__pos>>3] &= 0xff7f >> (__pos&7);				\
-    __pos++;								\
+    ++__pos;								\
   } while(0)
 
@@ -86,5 +86,5 @@
   do {									\
     (b) += (b) + (__base[__pos>>3] & (0x80 >> (__pos&7)) != 0);		\
-    __pos++;								\
+    ++__pos;								\
   } while(0)
 
Index: /trunk/gsdl3/src/packages/mg/lib/bitio_m_stdio.h
===================================================================
--- /trunk/gsdl3/src/packages/mg/lib/bitio_m_stdio.h	(revision 13657)
+++ /trunk/gsdl3/src/packages/mg/lib/bitio_m_stdio.h	(revision 13658)
@@ -63,5 +63,5 @@
 #define ENCODE_BIT(b)							\
   do {									\
-    __btg--;								\
+    --__btg;								\
     if (b) __buff |= (1 << __btg);					\
     if (!__btg)								\
Index: /trunk/gsdl3/src/packages/mg/lib/huffman.h
===================================================================
--- /trunk/gsdl3/src/packages/mg/lib/huffman.h	(revision 13657)
+++ /trunk/gsdl3/src/packages/mg/lib/huffman.h	(revision 13658)
@@ -67,5 +67,5 @@
     register int __clen = (lens)[x];					\
     register unsigned long __code = (codes)[x];				\
-    for (__i=__clen-1; __i>=0; __i--)					\
+    for (__i=__clen-1; __i>=0; --__i)					\
       ENCODE_BIT((__code >> __i) & 1);					\
   } while(0)
Index: /trunk/indexers/mg/lib/bitio_m.h
===================================================================
--- /trunk/indexers/mg/lib/bitio_m.h	(revision 13657)
+++ /trunk/indexers/mg/lib/bitio_m.h	(revision 13658)
@@ -57,5 +57,5 @@
   register int _B_x  = (x) - 1;						\
   (v) = 0;								\
-  for (; _B_x ; _B_x>>=1, (v)++);					\
+  for (; _B_x ; _B_x>>=1, ++(v));					\
 } while(0)
 
@@ -65,5 +65,5 @@
   register int _B_x  = (x);						\
   (v) = -1;								\
-  for (; _B_x ; _B_x>>=1, (v)++);					\
+  for (; _B_x ; _B_x>>=1, ++(v));					\
 } while(0)
 
@@ -98,5 +98,5 @@
   BIO_DECODE_PROLOGUE;							\
   (x) = 1;								\
-  while (!DECODE_BIT) (x)++;						\
+  while (!DECODE_BIT) ++(x);						\
   BIO_DECODE_EPILOGUE;							\
 } while(0)
@@ -106,5 +106,5 @@
   BIO_DECODE_PROLOGUE;							\
   (x) = 1;								\
-  while (!DECODE_BIT) (x)++;						\
+  while (!DECODE_BIT) ++(x);						\
   (count) += (x);							\
   BIO_DECODE_EPILOGUE;							\
@@ -176,6 +176,6 @@
       CEILLOG_2(_B_b, _B_logofb);					\
       _B_thresh = (1<<_B_logofb) - _B_b;				\
-      _B_logofb--;							\
-      for (_B_i=0; _B_i < _B_logofb; _B_i++)			 	\
+      --_B_logofb;							\
+      for (_B_i=0; _B_i < _B_logofb; ++_B_i)			 	\
         DECODE_ADD(_B_x);						\
       if (_B_x >= _B_thresh)						\
@@ -201,7 +201,7 @@
       CEILLOG_2(_B_b, _B_logofb);					\
       _B_thresh = (1<<_B_logofb) - _B_b;				\
-      _B_logofb--;							\
+      --_B_logofb;							\
       (count) += _B_logofb;					       	\
-      for (_B_i=0; _B_i < _B_logofb; _B_i++)			 	\
+      for (_B_i=0; _B_i < _B_logofb; ++_B_i)			 	\
         DECODE_ADD(_B_x);						\
       if (_B_x >= _B_thresh)						\
@@ -209,5 +209,5 @@
           DECODE_ADD(_B_x);						\
           _B_x -= _B_thresh;						\
-          (count)++;							\
+          ++(count);							\
 	}								\
       (x) = _B_x+1;							\
@@ -274,5 +274,5 @@
   register int _B_nbits = 0;						\
   BIO_DECODE_PROLOGUE;							\
-  while(!DECODE_BIT) _B_nbits++;					\
+  while(!DECODE_BIT) ++_B_nbits;					\
   while (_B_nbits-- > 0)						\
     DECODE_ADD(_B_xx);							\
@@ -286,5 +286,5 @@
   register int _B_nbits = 0;						\
   BIO_DECODE_PROLOGUE;							\
-  while(!DECODE_BIT) _B_nbits++;					\
+  while(!DECODE_BIT) ++_B_nbits;					\
   (count) += _B_nbits*2+1;						\
   while (_B_nbits-- > 0)						\
@@ -331,6 +331,6 @@
   register unsigned long _B_xxx;					\
   register int _B_logx;							\
-  GAMMA_DECODE(_B_logx); _B_logx--;					\
-  BINARY_DECODE(_B_xxx, 1<<_B_logx); _B_xxx--;				\
+  GAMMA_DECODE(_B_logx); --_B_logx;					\
+  BINARY_DECODE(_B_xxx, 1<<_B_logx); --_B_xxx;				\
   (x) = _B_xxx + (1<<_B_logx);						\
 } while (0)
@@ -340,6 +340,6 @@
   register unsigned long _B_xxx;					\
   register int _B_logx;							\
-  GAMMA_DECODE_L(_B_logx, count); _B_logx--;				\
-  BINARY_DECODE_L(_B_xxx, 1<<_B_logx, count); _B_xxx--;			\
+  GAMMA_DECODE_L(_B_logx, count); --_B_logx;				\
+  BINARY_DECODE_L(_B_xxx, 1<<_B_logx, count); --_B_xxx;			\
   (x) = _B_xxx + (1<<_B_logx);						\
 } while (0)
@@ -372,5 +372,5 @@
   while (_B_xx>_B_upper) 						\
     {									\
-      _B_k++;								\
+      ++_B_k;								\
       _B_lower = _B_upper+1;						\
       _B_pow *= _B_s;							\
@@ -392,5 +392,5 @@
   while (_B_xx>_B_upper) 						\
     {									\
-      _B_k++;								\
+      ++_B_k;								\
       _B_lower = _B_upper+1;						\
       _B_pow *= _B_s;							\
@@ -409,5 +409,5 @@
   register int _B_k;							\
   register double _B_pow=1.0;						\
-  UNARY_DECODE(_B_k); _B_k--;						\
+  UNARY_DECODE(_B_k); --_B_k;						\
   while (_B_k--)							\
     {									\
@@ -416,5 +416,5 @@
       _B_upper += _B_b*_B_pow;						\
     }									\
-  BINARY_DECODE(_B_xx, _B_upper-_B_lower+1); _B_xx--;			\
+  BINARY_DECODE(_B_xx, _B_upper-_B_lower+1); --_B_xx;			\
   POSITIVE(gamma, _B_xx+_B_lower);				  	\
   (x) = _B_xx+_B_lower;							\
@@ -429,5 +429,5 @@
   register int _B_k;							\
   register double _B_pow=1.0;						\
-  UNARY_DECODE_L(_B_k, count); _B_k--;					\
+  UNARY_DECODE_L(_B_k, count); --_B_k;					\
   while (_B_k--)							\
     {									\
@@ -436,5 +436,5 @@
       _B_upper += _B_b*_B_pow;						\
     }									\
-  BINARY_DECODE_L(_B_xx, _B_upper-_B_lower+1, count); _B_xx--;		\
+  BINARY_DECODE_L(_B_xx, _B_upper-_B_lower+1, count); --_B_xx;		\
   POSITIVE(gamma, _B_xx+_B_lower);				  	\
   (x) = _B_xx+_B_lower;							\
@@ -452,5 +452,5 @@
   while (_B_xx>_B_upper) 						\
     {									\
-      _B_k++;								\
+      ++_B_k;								\
       _B_lower = _B_upper+1;						\
       _B_pow *= _B_s;							\
@@ -472,8 +472,8 @@
   register int _B_xdivb = 0;						\
   POSITIVE(bblock, _B_xx);						\
-  _B_xx--;								\
+  --_B_xx;								\
   while (_B_xx >= _B_bb) 						\
     {									\
-      _B_xdivb++;							\
+      ++_B_xdivb;							\
       _B_xx -= _B_bb;							\
     }									\
@@ -488,8 +488,8 @@
   register int _B_xdivb = 0;						\
   POSITIVE(bblock, _B_xx);						\
-  _B_xx--;								\
+  --_B_xx;								\
   while (_B_xx >= _B_bb) 						\
     {									\
-      _B_xdivb++;							\
+      ++_B_xdivb;							\
       _B_xx -= _B_bb;							\
     }									\
@@ -503,5 +503,5 @@
   register unsigned long _B_bb = (b);					\
   register int _B_xdivb;						\
-  UNARY_DECODE(_B_xdivb); _B_xdivb--;					\
+  UNARY_DECODE(_B_xdivb); --_B_xdivb;					\
   while (_B_xdivb--)							\
     _B_xx += _B_bb;							\
@@ -515,5 +515,5 @@
   register unsigned long _B_bb = (b);					\
   register int _B_xdivb;						\
-  UNARY_DECODE_L(_B_xdivb, count); _B_xdivb--;				\
+  UNARY_DECODE_L(_B_xdivb, count); --_B_xdivb;				\
   while (_B_xdivb--)							\
     _B_xx += _B_bb;							\
@@ -528,8 +528,8 @@
   register int _B_xdivb = 0;						\
   POSITIVE(bblock, _B_xx);						\
-  _B_xx--;								\
+  --_B_xx;								\
   while (_B_xx >= _B_bb) 						\
     {									\
-      _B_xdivb++;							\
+      ++_B_xdivb;							\
       _B_xx -= _B_bb;							\
     }									\
Index: /trunk/indexers/mg/lib/bitio_m_mem.h
===================================================================
--- /trunk/indexers/mg/lib/bitio_m_mem.h	(revision 13657)
+++ /trunk/indexers/mg/lib/bitio_m_mem.h	(revision 13658)
@@ -72,5 +72,5 @@
 #define ENCODE_BIT(b)							\
   do {									\
-    __btg--;								\
+    --__btg;								\
     if (b) __buff |= (1 << __btg);					\
     if (!__btg)								\
@@ -79,5 +79,5 @@
 	  {								\
 	    *__pos++ = __buff;						\
-	    __remaining--;						\
+	    --__remaining;						\
 	  }  								\
 	__buff = 0;							\
@@ -100,5 +100,5 @@
 	{								\
           *__pos++ = __buff;						\
-          __remaining--;						\
+          --__remaining;						\
 	}  								\
     __btg = sizeof(__buff)*8;						\
@@ -133,5 +133,5 @@
 	  {								\
   	    __buff = *__pos++;						\
-	    __remaining--;						\
+	    --__remaining;						\
 	  }								\
         else								\
@@ -149,5 +149,5 @@
 	  {								\
   	    __buff = *__pos++;						\
-	    __remaining--;						\
+	    --__remaining;						\
 	  }								\
         else								\
Index: /trunk/indexers/mg/lib/bitio_m_mems.h
===================================================================
--- /trunk/indexers/mg/lib/bitio_m_mems.h	(revision 13657)
+++ /trunk/indexers/mg/lib/bitio_m_mems.h	(revision 13658)
@@ -57,5 +57,5 @@
     else								\
       __base[__pos>>3] &= 0xff7f >> (__pos&7);				\
-    __pos++;								\
+    ++__pos;								\
   } while(0)
 
@@ -86,5 +86,5 @@
   do {									\
     (b) += (b) + (__base[__pos>>3] & (0x80 >> (__pos&7)) != 0);		\
-    __pos++;								\
+    ++__pos;								\
   } while(0)
 
Index: /trunk/indexers/mg/lib/bitio_m_stdio.h
===================================================================
--- /trunk/indexers/mg/lib/bitio_m_stdio.h	(revision 13657)
+++ /trunk/indexers/mg/lib/bitio_m_stdio.h	(revision 13658)
@@ -63,5 +63,5 @@
 #define ENCODE_BIT(b)							\
   do {									\
-    __btg--;								\
+    --__btg;								\
     if (b) __buff |= (1 << __btg);					\
     if (!__btg)								\
Index: /trunk/indexers/mg/lib/huffman.h
===================================================================
--- /trunk/indexers/mg/lib/huffman.h	(revision 13657)
+++ /trunk/indexers/mg/lib/huffman.h	(revision 13658)
@@ -67,5 +67,5 @@
     register int __clen = (lens)[x];					\
     register unsigned long __code = (codes)[x];				\
-    for (__i=__clen-1; __i>=0; __i--)					\
+    for (__i=__clen-1; __i>=0; --__i)					\
       ENCODE_BIT((__code >> __i) & 1);					\
   } while(0)