Index: /trunk/gsdl3/src/packages/mg/src/text/hash.h
===================================================================
--- /trunk/gsdl3/src/packages/mg/src/text/hash.h	(revision 13659)
+++ /trunk/gsdl3/src/packages/mg/src/text/hash.h	(revision 13660)
@@ -34,5 +34,5 @@
 		register unsigned long hval;		\
 		if (len>25) len = 25;			\
-		for (hval=0; len; len--)		\
+		for (hval=0; len; --len)		\
 		  hval = (hval << 5) - hval + *p++;	\
 		step = hval % (tablesize - 2) + 1;	\
Index: /trunk/gsdl3/src/packages/mg/src/text/words.h
===================================================================
--- /trunk/gsdl3/src/packages/mg/src/text/words.h	(revision 13659)
+++ /trunk/gsdl3/src/packages/mg/src/text/words.h	(revision 13660)
@@ -84,8 +84,9 @@
         /* It determines whether a given place in a UTF-8 encoded 
 	   Unicode string is a unicode space. */
-
+ 
 u_char *skipspace(u_char *here, u_char *end);
-        /* Return a the UTF-8 encoded Unicode string with 
-	   begining unicode spaces skipped. */ 
+        /* Return a the UTF-8 encoded Unicode string with beginning 
+	   unicode spaces skipped. */
+ 
 
 /* =========================================================================
@@ -115,5 +116,5 @@
 				     ++numeric <= maxnumeric))) {  \
       while (charlength-- > 0) {                                   \
-        *wptr++ = *(s_in)++; length++;                             \
+        *wptr++ = *(s_in)++; ++length;                             \
       }                                                            \
       charlength = parse_utf8_char((s_in),(end),&c);               \
@@ -135,5 +136,5 @@
 		break;                                               \
 	      *wptr++ = c;                                           \
-	      length++;                                              \
+	      ++length;                                              \
 	      c = *++(s_in);                                         \
 	    }                                                        \
@@ -162,5 +163,5 @@
 	   !is_unicode_letdig(c)) {                                \
       while (charlength-- > 0) {                                   \
-        *wptr++ = *(s_in)++; length++;                             \
+        *wptr++ = *(s_in)++; ++length;                             \
       }                                                            \
       charlength = parse_utf8_char((s_in),(end),&c);               \
@@ -179,5 +180,5 @@
 	    {                                                      \
 	      *wptr++ = c;                                         \
-	      length++;                                            \
+	      ++length;                                            \
 	      c = *++(s_in);                                       \
 	    }                                                      \
@@ -213,5 +214,5 @@
 				     ++numeric <= maxnumeric))) {  \
       while (charlength-- > 0) {                                   \
-        *wptr++ = *(s_in)++; length++;                             \
+        *wptr++ = *(s_in)++; ++length;                             \
       }                                                            \
       charlength = parse_utf8_char((s_in),(end),&c);               \
@@ -233,5 +234,5 @@
 	    break;                                            \
 	  *wptr++ = c;                                        \
-	  length++;                                           \
+	  ++length;                                           \
 	  c = *++(s_in);                                      \
 	}                                                     \
@@ -346,5 +347,5 @@
 		{                                                          \
 	           *wptr++ = c;                                            \
-	           length++;                                               \
+	           ++length;                                               \
 	           c = *++(s_in);                                          \
 	        }                                                          \
Index: /trunk/indexers/mg/src/text/hash.h
===================================================================
--- /trunk/indexers/mg/src/text/hash.h	(revision 13659)
+++ /trunk/indexers/mg/src/text/hash.h	(revision 13660)
@@ -34,5 +34,5 @@
 		register unsigned long hval;		\
 		if (len>25) len = 25;			\
-		for (hval=0; len; len--)		\
+		for (hval=0; len; --len)		\
 		  hval = (hval << 5) - hval + *p++;	\
 		step = hval % (tablesize - 2) + 1;	\
Index: /trunk/indexers/mg/src/text/words.h
===================================================================
--- /trunk/indexers/mg/src/text/words.h	(revision 13659)
+++ /trunk/indexers/mg/src/text/words.h	(revision 13660)
@@ -84,8 +84,9 @@
         /* It determines whether a given place in a UTF-8 encoded 
 	   Unicode string is a unicode space. */
-
+ 
 u_char *skipspace(u_char *here, u_char *end);
-        /* Return a the UTF-8 encoded Unicode string with 
-	   begining unicode spaces skipped. */ 
+        /* Return a the UTF-8 encoded Unicode string with beginning 
+	   unicode spaces skipped. */
+ 
 
 /* =========================================================================
@@ -115,5 +116,5 @@
 				     ++numeric <= maxnumeric))) {  \
       while (charlength-- > 0) {                                   \
-        *wptr++ = *(s_in)++; length++;                             \
+        *wptr++ = *(s_in)++; ++length;                             \
       }                                                            \
       charlength = parse_utf8_char((s_in),(end),&c);               \
@@ -135,5 +136,5 @@
 		break;                                               \
 	      *wptr++ = c;                                           \
-	      length++;                                              \
+	      ++length;                                              \
 	      c = *++(s_in);                                         \
 	    }                                                        \
@@ -162,5 +163,5 @@
 	   !is_unicode_letdig(c)) {                                \
       while (charlength-- > 0) {                                   \
-        *wptr++ = *(s_in)++; length++;                             \
+        *wptr++ = *(s_in)++; ++length;                             \
       }                                                            \
       charlength = parse_utf8_char((s_in),(end),&c);               \
@@ -179,5 +180,5 @@
 	    {                                                      \
 	      *wptr++ = c;                                         \
-	      length++;                                            \
+	      ++length;                                            \
 	      c = *++(s_in);                                       \
 	    }                                                      \
@@ -213,5 +214,5 @@
 				     ++numeric <= maxnumeric))) {  \
       while (charlength-- > 0) {                                   \
-        *wptr++ = *(s_in)++; length++;                             \
+        *wptr++ = *(s_in)++; ++length;                             \
       }                                                            \
       charlength = parse_utf8_char((s_in),(end),&c);               \
@@ -233,5 +234,5 @@
 	    break;                                            \
 	  *wptr++ = c;                                        \
-	  length++;                                           \
+	  ++length;                                           \
 	  c = *++(s_in);                                      \
 	}                                                     \
@@ -346,5 +347,5 @@
 		{                                                          \
 	           *wptr++ = c;                                            \
-	           length++;                                               \
+	           ++length;                                               \
 	           c = *++(s_in);                                          \
 	        }                                                          \