Index: /trunk/gsdl/macros/thai.dm
===================================================================
--- /trunk/gsdl/macros/thai.dm	(revision 13677)
+++ /trunk/gsdl/macros/thai.dm	(revision 13678)
@@ -177,4 +177,5 @@
 _linktextPREFERENCES_ [l=th] {àžªàžŽàžàžàžŽàžàžŽà¹àžšàž©}
 
+
 ######################################################################
 # 'home' page
@@ -182,4 +183,17 @@
 ######################################################################
 
+_textpagetitle_ [l=th] {àžàž£àžµàžàžªà¹àžàž àžàžŽàžàžŽàžàž­àž¥ à¹àž¥àžàž£àž²àž£àžµ}  # Updated 14-Dec-2006 by yoyomimiyen
+
+# -- Missing translation: _textnocollections_
+
+# -- Missing translation: _textadmin_
+# -- Missing translation: _textabgs_
+# -- Missing translation: _textgsdocs_
+
+_textdescradmin_ [l=th] {àžàžžàžàžªàž²àž¡àž²àž£àžà¹àžàžŽà¹àž¡àžàž¹à¹à¹àžà¹à¹àžà¹, àžªàž£àžžàž collections àžàžµà¹àž¡àžµàž­àž¢àž¹à¹à¹àžàž£àž°àžàž, àž­àžàžŽàžàž²àž¢àž£àž²àž¢àž¥àž°à¹àž­àžµàž¢àžàžàž²àžà¹àžàžàžàžŽàžà¹àžàžàž²àž£àžàžŽàžàžàž±à¹àž Greenstone}  # Updated 14-Dec-2006 by yoyomimiyen
+
+_textdescrgogreenstone_ [l=th] {àž­àžàžŽàžàž²àž¢à¹àžàžµà¹àž¢àž§àžàž±àžàžàž²àž£à¹àž£àžŽà¹àž¡àžà¹àžàžàž­àžàžàž­àžàžà¹à¹àž§àž£à¹àžàž£àžµàžàžªà¹àžàž à¹àž¥àž°à¹àžàž£àžàžàž²àž£àžàžŽàž§àžàžµà¹àž¥àžàžà¹ àžàžŽàžàžŽàžàž­àž¥ à¹àž¥àžàž£àž²àž£àžµ}  # Updated 14-Dec-2006 by yoyomimiyen
+
+# -- Missing translation: _textdescrgodocs_
 
 #####################################################################
@@ -188,13 +202,21 @@
 package gli
 
+_textgli_ [l=th] {à¹àž¥àžàž£àž²à¹àž£àžµà¹àž¢àžàž­àžŽàžà¹àžàž­àž£à¹à¹àžàžª}  # Updated 21-Dec-2006 by yoyomimiyen
+# -- Missing translation: _textdescrgli_
 
 package collector
 
+_textcollector_ [l=th] {àžàž­àž¥à¹àž¥àžà¹àžàž­àž£à¹}  # Updated 14-Dec-2006 by yoyomimiyen
+# -- Missing translation: _textdescrcollector_
 
 package depositor
 
+# -- Missing translation: _textdepositor_
+# -- Missing translation: _textdescrdepositor_
 
 package gti
 
+_textgti_ [l=th] {à¹àžàž­àž° àžàž£àžµàžàžªà¹àžàž àžàž£àž²àžàžªà¹àž¥à¹àžàž­àž£à¹ àž­àžŽàžà¹àžàž­àž£à¹à¹àžàž}  # Updated 14-Dec-2006 by yoyomimiyen
+_textdescrtranslator_ [l=th] {àžà¹àž§àž¢à¹àž«à¹àžàžžàžàž¡àžµàž­àžŽàžà¹àžàž­àž£à¹à¹àžàžàžàž­àžàžàž£àžµàžàžªà¹àžàž à¹àž§àž­àž£à¹àžàž±à¹àžàž«àž¥àž²àžàž«àž¥àž²àž¢àž àž²àž©àž²àžàžµà¹àžàž±àžàžªàž¡àž±àž¢àž­àž¢àž¹à¹à¹àžªàž¡àž­}  # Updated 14-Dec-2006 by yoyomimiyen
 
 
@@ -275,4 +297,14 @@
 _textNOHIGHLIGHT_ [l=th] {à¹àž¡à¹à¹àžà¹àž}
 
+# -- Missing translation: _textPRINT_
+
+# -- Missing translation: _textnextsearchresult_
+_textprevsearchresult_ [l=th] {àžàž¥àžàž²àž£àžà¹àžàž«àž²àžà¹àž­àžàž«àžà¹àž²}  # Updated 14-Dec-2006 by yoyomimiyen
+
+# macros for printing page
+_textreturnoriginal_ [l=th] {àžàž¥àž±àžàžªàž¹à¹àž«àžà¹àž²à¹àžàžŽàž¡}  # Updated 14-Dec-2006 by yoyomimiyen
+_textprintpage_ [l=th] {àžàžŽàž¡àžà¹àž«àžà¹àž²àžàžµà¹}  # Updated 14-Dec-2006 by yoyomimiyen
+_textshowcontents_ [l=th] {à¹àžªàžàžàžªàž²àž£àžàž±àž}  # Updated 14-Dec-2006 by yoyomimiyen
+_texthidecontents_ [l=th] {àžà¹àž­àžàžªàž²àž£àžàž±àž}  # Updated 14-Dec-2006 by yoyomimiyen
 
 ######################################################################
@@ -297,8 +329,5 @@
 # -- Missing translation: _textranked_
 # -- Missing translation: _textnatural_
-#_textsome_ {_If_(_cgiargb_,ranked,some)}
-#_textall_ {_If_(_cgiargb_,boolean,all)}
-#_textformsome_ {_If_(_cgiargb_,ranked,some)}
-#_textformall_ {_If_(_cgiargb_,natural,all)}
+# -- Missing translation: _textsortbyrank_
 _texticonsearchhistorybar_ [l=th] {àžà¹àžàžàž£àž°àž§àž±àžàžŽ}
 
@@ -325,5 +354,5 @@
 
 #these go together in form search:
-#"Word or phrase  (fold, stem)  ... in field"
+#"Words  (fold, stem)  ... in field"
 _textwordphrase_ [l=th] {àžàž³àž«àž£àž·àž­àž§àž¥àžµ}
 _textinfield_ [l=th] {âŠ à¹àžàžªàž²àžàž²}
@@ -351,6 +380,7 @@
 _textformsimplesearch_ [l=th] {àžà¹àžàž«àž² _If_(_jselection_,_jselection_ )_If_(_gformselection_,at _gformselection_ level )_If_(_nselection_,in _nselection_ language ) àžªàž³àž«àž£àž±àž _formquerytypesimpleselection_  }  # Updated 8-Sep-2006 by yoyomimiyen
 
-_textformadvancedsearch_ [l=th] {àžà¹àžàž«àž² _If_(_jselection_,_jselection_ )_If_(_gformselection_,at _gformselection_ level )_If_(_nselection_,in _nselection_ language ) à¹àž¥àž°à¹àžªàžàžàžàž¥à¹àžàž¥àž³àžàž±àž_formquerytypeadvancedselection_ }  # Updated 8-Sep-2006 by yoyomimiyen
-
+_textformadvancedsearchmgpp_ [l=th] {àžà¹àžàž«àž² _If_(_jselection_,_jselection_ )_If_(_gformselection_,at _gformselection_ level )_If_(_nselection_,in _nselection_ language ) à¹àž¥àž°à¹àžªàžàžàžàž¥à¹àžàž _formquerytypeadvancedselection_}  # Updated 14-Dec-2006 by yoyomimiyen
+
+_textformadvancedsearchlucene_ [l=th] {àžà¹àžàž«àž² _If_(_jselection_, _jselection_)_If_(_gformselection_,  at _gformselection_ level)_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\, sorting results by _sfselection_\,) àžªàž³àž«àž£àž±àž}  # Updated 14-Dec-2006 by yoyomimiyen
 
 _textnojsformwarning_ [l=th] {àžàž³à¹àžàž·àž­àž: àžàž²àž§àž²àžªàžàž£àžŽàžàžà¹à¹àžà¹àž§à¹àžàžàž£àž²àž§à¹àžàž­àž£à¹àžàž­àžàžàžžàž à¹àž¡à¹àžªàž²àž¡àž²àž£àžà¹àžà¹àžàž²àž£à¹àžà¹ <br> à¹àžàž·à¹àž­àžàžµà¹àžàž°àžªàž²àž¡àž²àž£àžàžàž³àžàž²àž£àžà¹àžàž«àž²à¹àžà¹ àžàž£àžžàžàž²àžàž³à¹àž«à¹àžàž²àž§àž²àžªàžàž£àžŽàžàžà¹àžªàž²àž¡àž²àž£àžà¹àžà¹à¹àžà¹àž§à¹àžàžàž£àž²àž§à¹àžàž­àž£à¹àžàž­àžàžàžžàžà¹àžà¹}  # Updated 25-Aug-2006 by yoyomimiyen
@@ -404,4 +434,8 @@
 _textstem_ [l=th] {àž¡àž­àžàžà¹àž²àž¡àžàž³àž¥àžàžà¹àž²àž¢}
 _textnostem_ [l=th] {àžàž³àžàžžàžàžàž³àžà¹àž­àžàžàž£àžàžàž±àž}
+_textaccentdiffs_ [l=th] {àžàž§àž²àž¡àžà¹àž²àžàžàž±àžàžàž­àžàžàž²àž£à¹àžà¹àžà¹àžªàžµàž¢àž:}  # Updated 14-Dec-2006 by yoyomimiyen
+# -- Missing translation: _textignoreaccents_
+# -- Missing translation: _textmatchaccents_
+
 _textprefop_ [l=th] {àžàž¥àž±àžà¹àžàžàžµà¹ _maxdocoption_ hits with _hitsperpageoption_ hits à¹àžà¹àž¥àž°àž«àžà¹àž²}
 _textextlink_ [l=th] {à¹àžà¹àž²àžªàž¹à¹àž«àžà¹àž²àžàž­à¹àž§à¹àžà¹àžàžà¹}
@@ -424,4 +458,10 @@
 <br>}
 
+# -- Missing translation: _textsearchtype_
+_textformsearchtype_ [l=th] {àžàžŽàž¥àžà¹àžàž±àž _formnumfieldoption_ àžàžŽàž¥àžà¹}  # Updated 14-Dec-2006 by yoyomimiyen
+# -- Missing translation: _textplainsearchtype_
+# -- Missing translation: _textregularbox_
+_textlargebox_ [l=th] {à¹àž«àžà¹}  # Updated 21-Dec-2006 by yoyomimiyen
+
 _textrelateddocdisplay_ [l=th] {à¹àžªàžàžà¹àž­àžàžªàž²àž£àžàžµà¹à¹àžàžµà¹àž¢àž§àžà¹àž­àž}
 _textsearchhistory_ [l=th] {àžà¹àžàžàž£àž°àž§àž±àžàžŽ}
@@ -429,19 +469,4 @@
 _texthistorydisplay_ [l=th] {à¹àžªàžàž _historynumrecords_ àžàž±àžàžàž¶àžàžàž²àž£àžà¹àžàž«àž²àžàž£àž°àž§àž±àžàžŽ}
 _textnohistorydisplay_ [l=th] {à¹àž¡à¹à¹àžªàžàžàžàž²àž£àžà¹àžàžàž£àž°àž§àž±àžàžŽ}
-
-#_texttypesearch_ {Type of search:}
-#_texttextsearch_ {text search}
-_textformsearch_ [l=th] {àžàž²àžàžàž²àž£àžà¹àžàž«àž²}  # Updated 25-Aug-2006 by yoyomimiyen
-# -- Missing translation: _textplainsearch_
-_textqueryboxsize_ [l=th] {àžàžàž²àžàžàž¥à¹àž­àžàžà¹àž­àžàž±àžàžàž²àž¡}
-_textregbox_ [l=th] {àžàž¥à¹àž­àžàžà¹àž­àžàž±àžàžàž²àž¡à¹àžàž¢àžàž£àž°àžàž³}
-_textbigbox_ [l=th] {àžàž¥à¹àž­àžàžà¹àž­àžàž±àžàžàž²àž¡àžàž¥à¹àž­àžà¹àž«àžà¹}
-_textformtype_ [l=th] {àžàžàžŽàžàžàž­àžàž£àž¹àžà¹àžàž}
-_textsimple_ [l=th] {àžàž£àž£àž¡àžàž²}
-_textadvanced_ [l=th] {àž¥à¹àž³àž«àžà¹àž²}
-
-# used in "with 4 fields" in the form search box
-_textwith_ [l=th] {àžà¹àž§àž¢}
-_textfields_ [l=th] {àžªàž²àžàž²}
 
 
@@ -606,5 +631,14 @@
 }  # Updated 1-Sep-2006 by yoyomimiyen
 
+_texthelpadvancedsearchextra_ [l=th] {àž«àž¡àž²àž¢à¹àž«àžàžž: àžàž³àžªàž±à¹àžàžàž°àžàž¹àžàž¢àžà¹àž¥àžŽàžàžà¹àž²àžàžžàžàžàž³àžàž²àž£àžà¹àžàž«àž²à¹àžàž simple query mode}  # Updated 14-Dec-2006 by yoyomimiyen
+
 # -- Missing translation: _texthelpadvsearchlucene_
+
+# -- Missing translation: _texthelpformsearchtitle_
+
+# -- Missing translation: _texthelpformsearch_
+
+_texthelpformstemming_ [l=th] {àžàž±àž§à¹àž¥àž·àž­àžà¹àžàž¥ (fold) à¹àž¥àž°àžªà¹àžàž¡ (stem) àžàž°àžà¹àž§àž¢à¹àž«à¹àžàžžàžàžàž³àž«àžàžàžàž³àžàžµà¹àž­àž¢àž¹à¹à¹àžàžàžŽàž¥àžà¹à¹àžà¹ àžàžàžàžŽà¹àž¥à¹àž§à¹àžàžàž²àž£àžà¹àžàž«àž²àžà¹àž­àž¡àž¹àž¥à¹àžàžàžàž±à¹àžàžªàž¹àžàžàž±à¹àžàžàž±àž§à¹àž¥àž·àž­àžàžàž±à¹àž 2 àžàž°à¹àž¡à¹à¹àžà¹àžžàžàž¹àžà¹àž¥àž·àž­àžà¹àž§à¹}  # Updated 21-Dec-2006 by yoyomimiyen
+
 _textdatesearch_ [l=th] {àžà¹àžàž«àž²à¹àžàž¢à¹àžà¹àž§àž±àžàžàžµà¹}
 
@@ -665,4 +699,18 @@
 }
 
+# -- Missing translation: _textcasefoldprefs_
+# -- Missing translation: _textstemprefs_
+# -- Missing translation: _textaccentfoldprefs_
+ 
+_textstemoptionsprefs_ [l=th] {àžàž²àž£àžàž±àžà¹àž­àž²à¹àžàžàž²àž°àžàž³àžªàž³àžàž±àžàž¡àž²à¹àžà¹à¹àžàžàž²àž£àžà¹àžàž«àž²àžà¹àž­àž¡àž¹àž¥àžàž°àžàž³à¹àž«à¹àžªàž°àžàž§àžà¹àž¥àž°àžàž¹àžàžà¹àž­àžàž¡àž²àžàžàž¶à¹àžàžàž±àžàžàžµà¹àž­àžàžŽàžàž²àž¢à¹àž§à¹à¹àž "_texthelpquerytermstitle_"}  # Updated 21-Dec-2006 by yoyomimiyen
+
+_textsearchtypeprefsplain_ [l=th] {àžàžžàžàžªàž²àž¡àž²àž£àžàžàžµà¹àžàž°à¹àžà¹àžà¹àž­àžàžà¹àž­àžàž§àž²àž¡àžàžµà¹à¹àž«àžà¹àžàž¶à¹àžà¹àžàž·à¹àž­àžàž§àž²àž¡àžªàž°àžàž§àžà¹àžàžàž²àž£àžà¹àžàž«àž²àžà¹àž­àž¡àž¹àž¥à¹àžàžàžàž±à¹àžàž¢à¹àž­àž«àžà¹àž²à¹àžà¹ àžàž¶à¹àžàžàž°àžà¹àž§àž¢à¹àž«à¹àžà¹àžàž«àž²àžà¹àž­àž¡àž¹àž¥à¹àžà¹à¹àž£à¹àž§àžàž¶à¹àž}  # Updated 21-Dec-2006 by yoyomimiyen
+
+_textsearchtypeprefsform_ [l=th] {àžàžžàžàžªàž²àž¡àž²àž£àžàžàžµà¹àžàž°à¹àžàž¥àžµà¹àž¢àžàžàž³àžàž§àžàžàžŽàž¥àžà¹àžàžµà¹à¹àžªàžàžàž­àž¢àž¹à¹à¹àžàžàž­àž£à¹àž¡àžà¹àžàž«àž²àžà¹àž­àž¡àž¹àž¥à¹àžà¹}  # Updated 21-Dec-2006 by yoyomimiyen
+
+# -- Missing translation: _textsearchtypeprefsboth_
+
+
+
 _texttanumbrowseoptions_ [l=th] {àž¡àžµàž§àžŽàžàžµàžàžµà¹àžàž°àž«àž²àžà¹àž­àž¡àž¹àž¥à¹àžàžàž²àž£à¹àžà¹àžàžªàž°àžªàž¡àžàžµà¹}
 