Index: /trunk/gs2build-extra/Makefile.in
===================================================================
--- /trunk/gs2build-extra/Makefile.in	(revision 13730)
+++ /trunk/gs2build-extra/Makefile.in	(revision 13731)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# Makefile -- gsdl
+# Makefile -- gs2build module
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -47,14 +47,12 @@
 ALLFILES = $(OBJECTS)
 
-#INSTALLDIRS = src/recpt src/txt2db src/db2txt src/hashfile src/getpw packages/mg src/phind/generate packages src/mgpp src/oaiservr
-INSTALLDIRS = src/txt2db src/db2txt src/hashfile packages/mg src/phind/generate packages src/mgpp 
+INSTALLDIRS = indexers src/txt2db src/db2txt src/hashfile src/phind/generate packages 
 
 MODULEDIRS = @MODULEDIRS@
 
-#OTHERDIRS = packages packages/mg lib src/mgpp src/colservr src/recpt src/txt2db src/db2txt src/hashfile src/getpw src/phind/generate src/oaiservr
+OTHERDIRS = lib 
 
-OTHERDIRS = packages packages/mg lib src/mgpp src/txt2db src/db2txt src/hashfile src/phind/generate
 all:
-	for odir in $(OTHERDIRS) $(MODULEDIRS); do \
+	for odir in $(OTHERDIRS) $(INSTALLDIRS) $(MODULEDIRS); do \
 	  echo making $@ in $$odir; \
 	  (cd $$odir && $(MAKE) $(MDEFINES) $@) || exit 1; \
Index: /trunk/gs2build-extra/configure
===================================================================
--- /trunk/gs2build-extra/configure	(revision 13730)
+++ /trunk/gs2build-extra/configure	(revision 13731)
@@ -310,5 +310,5 @@
 #endif"
 
-ac_subdirs_all="$ac_subdirs_all packages"
+ac_subdirs_all="$ac_subdirs_all packages indexers"
 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION ENABLE_ACCENTFOLD CFLAGS CC LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
 ac_subst_files=''
@@ -7294,12 +7294,18 @@
 # ---------------------------------------------------------------------------
 
-
-subdirs="$subdirs packages"
+# indexers needs bindir option to get the binaries into the
+# right place
+gsdlprefix=`pwd`
+ac_configure_args="$ac_configure_args --bindir=$gsdlprefix/bin/$gsdlos "
+
+
+
+subdirs="$subdirs packages indexers"
 
 
 # the list of folders in the src folder
-srclist="src/mgpp/lib/Makefile src/mgpp/text/Makefile src/mgpp/Makefile src/hashfile/Makefile src/txt2db/Makefile src/db2txt/Makefile src/phind/generate/Makefile "
-
-                                                                                                    ac_config_files="$ac_config_files packages/Makefile packages/mg/Makefile packages/mg/src/text/Makefile packages/mg/src/images/Makefile packages/mg/src/scripts/Makefile packages/mg/lib/Makefile lib/Makefile Makefile $srclist $moduleDirs"
+srclist="src/hashfile/Makefile src/txt2db/Makefile src/db2txt/Makefile src/phind/generate/Makefile "
+
+                                                  ac_config_files="$ac_config_files packages/Makefile lib/Makefile Makefile $srclist $moduleDirs"
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -7828,9 +7834,4 @@
   # Handling of arguments.
   "packages/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/Makefile" ;;
-  "packages/mg/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/mg/Makefile" ;;
-  "packages/mg/src/text/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/mg/src/text/Makefile" ;;
-  "packages/mg/src/images/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/mg/src/images/Makefile" ;;
-  "packages/mg/src/scripts/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/mg/src/scripts/Makefile" ;;
-  "packages/mg/lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/mg/lib/Makefile" ;;
   "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
Index: /trunk/gs2build-extra/configure.in
===================================================================
--- /trunk/gs2build-extra/configure.in	(revision 13730)
+++ /trunk/gs2build-extra/configure.in	(revision 13731)
@@ -344,8 +344,14 @@
 dnl not needed any more?
 dnl ac_configure_args="$ac_configure_args --build=$build --target=$target"
-AC_CONFIG_SUBDIRS(packages)
+
+# indexers needs bindir option to get the binaries into the 
+# right place
+gsdlprefix=`pwd`
+ac_configure_args="$ac_configure_args --bindir=$gsdlprefix/bin/$gsdlos "
+
+AC_CONFIG_SUBDIRS(packages indexers)
 
 # the list of folders in the src folder
-srclist="src/mgpp/lib/Makefile src/mgpp/text/Makefile src/mgpp/Makefile src/hashfile/Makefile src/txt2db/Makefile src/db2txt/Makefile src/phind/generate/Makefile "
-
-AC_OUTPUT(packages/Makefile packages/mg/Makefile packages/mg/src/text/Makefile packages/mg/src/images/Makefile packages/mg/src/scripts/Makefile packages/mg/lib/Makefile lib/Makefile Makefile $srclist $moduleDirs)
+srclist="src/hashfile/Makefile src/txt2db/Makefile src/db2txt/Makefile src/phind/generate/Makefile "
+
+AC_OUTPUT(packages/Makefile lib/Makefile Makefile $srclist $moduleDirs)
Index: /trunk/gs2build-extra/lib.Makefile.in
===================================================================
--- /trunk/gs2build-extra/lib.Makefile.in	(revision 13730)
+++ /trunk/gs2build-extra/lib.Makefile.in	(revision 13731)
@@ -32,5 +32,5 @@
 CCFLAGS = @CFLAGS@
 DEFS = @DEFS@
-INCLUDES = -I../packages/mg/lib -I..
+INCLUDES = -I../indexers/mg/lib -I..
 RANLIB = @RANLIB@
 
Index: /trunk/gs2build-extra/packages.Makefile.in
===================================================================
--- /trunk/gs2build-extra/packages.Makefile.in	(revision 13730)
+++ /trunk/gs2build-extra/packages.Makefile.in	(revision 13731)
@@ -30,14 +30,7 @@
 # clean, and distclean.
 
-ENABLE_ACCENTFOLD=@ENABLE_ACCENTFOLD@
-ifeq ($(ENABLE_ACCENTFOLD), 1)
-UNAC=unac
-else
-UNAC=
-endif
-
 PACKAGEDIRS =	wv/wv-gs rtftohtml/rtftohtml_src pdftohtml/pdftohtml_gs \
 		wget/wget-1.9 expat/ cpan/XML-Parser-2.34 \
-		$(UNAC) xlhtml/xlhtml-0.4.9.0 isis-gdl 
+		xlhtml/xlhtml-0.4.9.0 isis-gdl 
 
 all:
Index: /trunk/gs2build-extra/packages.configure
===================================================================
--- /trunk/gs2build-extra/packages.configure	(revision 13730)
+++ /trunk/gs2build-extra/packages.configure	(revision 13731)
@@ -21,7 +21,4 @@
 ENVIRONMENT=""
 
-# accentfolding enabled by default - switch it off with --disable-accentfold
-ENABLE_ACCENTFOLD=true
-
 # parse any arguments given from toplevel configure
 while test $# -ne 0; do
@@ -40,7 +37,4 @@
 		CACHE_FILE="--cache-file=$cache_file"
 	    fi
-	    ;;
-	--disable-accentfold)
-	    ENABLE_ACCENTFOLD=false
 	    ;;
 	--prefix=*)
@@ -177,17 +171,2 @@
 ./configure $CACHE_FILE --prefix="$prefix" --bindir="$bindir" $HOSTTARGETFLAGS  $ENVIRONMENT
 
-# configure unac program
-echo ""
-echo "Configuring unac"
-echo ""
-if test x$ENABLE_ACCENTFOLD = xtrue ;   
-then
-  echo "Accent folding support enabled, configuring unac library."
-  echo "add --disable-accentfold to the configure command to disable this"
-
-  cd "$PACKAGES/unac"
-  ./configure $CACHE_FILE $HOSTTARGETFLAGS
-else
-  echo "Accent folding support disabled."
-  echo ""
-fi